Telegram MethodsBots
bots.addUsername
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
workspaceId*string
Workspace ID
accountId*string
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
params*
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/bots.addUsername" \ -H "Content-Type: application/json" \ -d '{ "params": { "bot": { "_": "inputUserEmpty" }, "username": "string" } }'{ "result": true, "txid": 0}addPreviewMedia
Add a [main mini app preview, see here »](https://core.telegram.org/api/bots/webapps#main-mini-app-previews) for more info. Only owners of bots with a configured Main Mini App can use this method, see [see here »](https://core.telegram.org/api/bots/webapps#main-mini-app-previews) for more info on how to check if you can invoke this method.
allowSendMessage
Allow the specified bot to send us messages